<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <th:block th:include="~{fragments/head}"></th:block>
    <title>SafetyCar</title>
    <script src='https://www.google.com/recaptcha/api.js'></script>
    <link href="/assets/css/required-mark.css" rel="stylesheet">
</head>
<body>

<th:block th:include="~{fragments/header}"></th:block>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <div class="d-flex justify-content-between align-items-center">
                <h2>Register</h2>
                <ol>
                    <li><a href="/">Home</a></li>
                    <li>Register</li>
                </ol>
            </div>

        </div>
    </section>
    <!-- End Breadcrumbs -->

    <!-- ======= Register Section ======= -->

    <section id="contact" class="contact">
        <div class="container">
            <div class="justify-content-center">
                <h5 style="display: flex; justify-content: center">Fill out the form below in order to register to
                    SafetyCar</h5>
            </div>
            <div class="row mt-5 justify-content-center" data-aos="fade-up">
                <div class="col-lg-10">

                    <form action="#" th:action="@{/register}" th:object="${user}" method="post" role="form"
                          enctype="multipart/form-data"
                          class="php-email-form">
                        <p>
                            <i th:if="${error != null}" th:text="${error}" class="error"
                               style="color:red; font-size:x-large"></i>
                        </p>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group req-asterisk">
                                <label for="first-name"><b>First name</b></label>
                                <label th:errors="*{firstName}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{firstName}" type="text" name="first-name" class="form-control"
                                       id="first-name"
                                       placeholder="Enter your first name"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group req-asterisk">
                                <label for="last-name"><b>Last name</b></label>
                                <label th:errors="*{lastName}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{lastName}" type="text" name="lastName" class="form-control"
                                       id="last-name"
                                       placeholder="Enter your last name"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group req-asterisk">
                                <label for="email"><b>Email</b></label>
                                <label th:errors="*{email}" style="color: red; font-weight: bold"></label>
                                <label th:if="${mailTaken != null}" th:text="${mailTaken}"
                                       style="color: red; font-weight: bold"></label>
                                <input th:field="*{email}" type="email" class="form-control" name="email" id="email"
                                       placeholder="Enter your Email"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group req-asterisk">
                                <label for="phone"><b>Phone</b></label>
                                <label th:errors="*{phone}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{phone}" type="text" class="form-control" name="phone" id="phone"
                                       placeholder="Enter your phone: +359xxxxxxx"
                                       required/>
                            </div>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="form-group col-md-6">
                                <label for="vehicle-registration-image"><b>Profile picture</b></label>
                                <div class="custom-file mb-3">
                                    <input th:field="*{picture}" type="file" class="custom-file-input"
                                           id="vehicle-registration-image" name="filename">
                                    <label class="custom-file-label" for="vehicle-registration-image">Choose
                                        file... [Max 20mb]</label>
                                </div>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group req-asterisk">
                                <label for="password"><b>Password</b></label>
                                <label th:errors="*{password}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{password}" type="password" class="form-control" name="phone"
                                       id="password"
                                       placeholder="Enter your password"
                                       required/>

                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group req-asterisk">
                                <label for="psw-repeat"><b>Confirm password</b></label>
                                <label th:if="${passMatch != null}" th:text="${passMatch}"
                                       style="color: red; font-weight: bold"></label>
                                <input th:field="*{passwordConfirmation}" type="password" class="form-control"
                                       name="phone" id="psw-repeat"
                                       placeholder="Re-enter your password"
                                       required/>
                            </div>
                        </div>
                        <div class="mb-3">
                            <div class="loading">Loading</div>
                            <div class="error-message"></div>
                            <div class="sent-message">You have successfully registered! Please go to you email and click
                                on the activation link we have sent you in order to activate your account.
                            </div>
                        </div>
                        <label class="form-row justify-content-center" th:if="${reCaptchaError != null}"
                               th:text="${reCaptchaError}" style="color: red; font-weight: bold"></label>
                        <div class="form-row justify-content-center req-asterisk">
                            <div class="g-recaptcha" data-sitekey="6LedBtgZAAAAACT0hX43qmX1q-dNm-8STw9LH_kl"
                                 id="captcha"></div>
                        </div>
                        <br/>
                        <div class="form-row justify-content-center">
                            <p>By creating an account you agree to our <a href="/terms">Terms & Privacy</a>.</p>
                        </div>
                        <div class="text-center">
                            <button type="submit">Register</button>
                        </div>
                        <br/>
                        <div class="form-row justify-content-center">
                            <p>Already have an account? <a href="/login">Log in.</a></p>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <!-- End Register Section -->

</main>
<!-- End #main -->

<th:block th:include="~{fragments/footer-js-page-imports}"></th:block>
<script src="/assets/js/file-upload.js"></script>
<script type="text/javascript">
    var offer = document.getElementById("register-active")
    offer.classList.add("active")
</script>

</body>
</html>